------------------------------------------------------------------------------
--                                                                          --
--                An Ada2005 binding to the Qt C++ framework                --
--                                                                          --
------------------------------------------------------------------------------
--                                                                          --
-- Copyright © 2008 Vadim Godunko <vgodunko@gmail.com>                      --
--                                                                          --
-- QtAda is free software;  you can  redistribute it and/or modify it under --
-- terms of the  GNU General Public License as published  by the Free Soft- --
-- ware  Foundation;  either version 2,  or (at your option) any later ver- --
-- sion. QtAda is distributed in the hope that it will be useful, but WITH- --
-- OUT ANY WARRANTY;  without even the  implied warranty of MERCHANTABILITY --
-- or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License --
-- for  more details.  You should have  received  a copy of the GNU General --
-- Public License distributed with QtAda;  see file COPYING.  If not, write --
-- to  the  Free Software Foundation,  51  Franklin  Street,  Fifth  Floor, --
-- Boston, MA 02110-1301, USA.                                              --
--                                                                          --
-- As a special exception,  if other files  instantiate  generics from this --
-- unit, or you link  this unit with other files  to produce an executable, --
-- this  unit  does not  by itself cause  the resulting  executable  to  be --
-- covered  by the  GNU  General  Public  License.  This exception does not --
-- however invalidate  any other reasons why  the executable file  might be --
-- covered by the  GNU Public License.                                      --
--                                                                          --
------------------------------------------------------------------------------
--    This file has been generated automatically. Please don't edit it.     --
------------------------------------------------------------------------------
with Qt_Ada.Internals.Object_Registry;
with Qt_Ada.Internals.Objects;

with Qt_Ada.Internals.Objects.Tab_Widget_Proxies;
pragma Warnings (Off, Qt_Ada.Internals.Objects.Tab_Widget_Proxies);
--  Elaboration of the proxy tagged type package register proxy object
--  constructor. Bindings must be able to create proxy object of the
--  corresponding tagged type for works properly.

package body Qt4.Tab_Widgets is

   function addTab_1_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Widget : not null access Qt_Ada.Internals.Objects.QObject;
     Label : not null access constant Qt4.Strings.Internals.QString)
       return Qt4.Q_Integer;
   pragma Import (C, addTab_1_wrapper,
                     "__Qt4Ada_QTabWidget_addTab_1_wrapper");

   function addTab_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Widget : not null access Qt_Ada.Internals.Objects.QObject;
     Icon : not null access constant Qt4.Icons.Internals.QIcon;
     Label : not null access constant Qt4.Strings.Internals.QString)
       return Qt4.Q_Integer;
   pragma Import (C, addTab_0_wrapper,
                     "__Qt4Ada_QTabWidget_addTab_0_wrapper");

   procedure clear_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject);
   pragma Import (C, clear_0_wrapper,
                     "__Qt4Ada_QTabWidget_clear_0_wrapper");

   function count_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.Q_Integer;
   pragma Import (C, count_0_wrapper,
                     "__Qt4Ada_QTabWidget_count_0_wrapper");

   function currentIndex_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.Q_Integer;
   pragma Import (C, currentIndex_0_wrapper,
                     "__Qt4Ada_QTabWidget_currentIndex_0_wrapper");

   function currentWidget_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return not null access Qt_Ada.Internals.Objects.QObject;
   pragma Import (C, currentWidget_0_wrapper,
                     "__Qt4Ada_QTabWidget_currentWidget_0_wrapper");

   procedure iconSize_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Returns : not null access Qt4.Sizes.Internals.QSize);
   pragma Import (C, iconSize_0_wrapper,
                     "__Qt4Ada_QTabWidget_iconSize_0_wrapper");

   function indexOf_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Widget : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.Q_Integer;
   pragma Import (C, indexOf_0_wrapper,
                     "__Qt4Ada_QTabWidget_indexOf_0_wrapper");

   function insertTab_1_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Index : Qt4.Q_Integer;
     Widget : not null access Qt_Ada.Internals.Objects.QObject;
     Label : not null access constant Qt4.Strings.Internals.QString)
       return Qt4.Q_Integer;
   pragma Import (C, insertTab_1_wrapper,
                     "__Qt4Ada_QTabWidget_insertTab_1_wrapper");

   function insertTab_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Index : Qt4.Q_Integer;
     Widget : not null access Qt_Ada.Internals.Objects.QObject;
     Icon : not null access constant Qt4.Icons.Internals.QIcon;
     Label : not null access constant Qt4.Strings.Internals.QString)
       return Qt4.Q_Integer;
   pragma Import (C, insertTab_0_wrapper,
                     "__Qt4Ada_QTabWidget_insertTab_0_wrapper");

   function isTabEnabled_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Index : Qt4.Q_Integer)
       return Qt4.bool;
   pragma Import (C, isTabEnabled_0_wrapper,
                     "__Qt4Ada_QTabWidget_isTabEnabled_0_wrapper");

   procedure removeTab_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Index : Qt4.Q_Integer);
   pragma Import (C, removeTab_0_wrapper,
                     "__Qt4Ada_QTabWidget_removeTab_0_wrapper");

   procedure setIconSize_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Size : not null access constant Qt4.Sizes.Internals.QSize);
   pragma Import (C, setIconSize_0_wrapper,
                     "__Qt4Ada_QTabWidget_setIconSize_0_wrapper");

   procedure setTabEnabled_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Index : Qt4.Q_Integer;
     Enabled : Qt4.bool);
   pragma Import (C, setTabEnabled_0_wrapper,
                     "__Qt4Ada_QTabWidget_setTabEnabled_0_wrapper");

   procedure setTabIcon_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Index : Qt4.Q_Integer;
     Icon : not null access constant Qt4.Icons.Internals.QIcon);
   pragma Import (C, setTabIcon_0_wrapper,
                     "__Qt4Ada_QTabWidget_setTabIcon_0_wrapper");

   procedure setTabPosition_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Position : Qt4.Tab_Widgets.Tab_Widget_Tab_Position);
   pragma Import (C, setTabPosition_0_wrapper,
                     "__Qt4Ada_QTabWidget_setTabPosition_0_wrapper");

   procedure setTabShape_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     S : Qt4.Tab_Widgets.Tab_Widget_Tab_Shape);
   pragma Import (C, setTabShape_0_wrapper,
                     "__Qt4Ada_QTabWidget_setTabShape_0_wrapper");

   procedure setTabText_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Index : Qt4.Q_Integer;
     Label : not null access constant Qt4.Strings.Internals.QString);
   pragma Import (C, setTabText_0_wrapper,
                     "__Qt4Ada_QTabWidget_setTabText_0_wrapper");

   procedure setTabToolTip_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Index : Qt4.Q_Integer;
     Tip : not null access constant Qt4.Strings.Internals.QString);
   pragma Import (C, setTabToolTip_0_wrapper,
                     "__Qt4Ada_QTabWidget_setTabToolTip_0_wrapper");

   procedure setTabWhatsThis_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Index : Qt4.Q_Integer;
     Text : not null access constant Qt4.Strings.Internals.QString);
   pragma Import (C, setTabWhatsThis_0_wrapper,
                     "__Qt4Ada_QTabWidget_setTabWhatsThis_0_wrapper");

   procedure setUsesScrollButtons_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Use_Buttons : Qt4.bool);
   pragma Import (C, setUsesScrollButtons_0_wrapper,
                     "__Qt4Ada_QTabWidget_setUsesScrollButtons_0_wrapper");

   procedure tabIcon_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Index : Qt4.Q_Integer;
     Returns : not null access Qt4.Icons.Internals.QIcon);
   pragma Import (C, tabIcon_0_wrapper,
                     "__Qt4Ada_QTabWidget_tabIcon_0_wrapper");

   function tabPosition_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.Tab_Widgets.Tab_Widget_Tab_Position;
   pragma Import (C, tabPosition_0_wrapper,
                     "__Qt4Ada_QTabWidget_tabPosition_0_wrapper");

   function tabShape_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.Tab_Widgets.Tab_Widget_Tab_Shape;
   pragma Import (C, tabShape_0_wrapper,
                     "__Qt4Ada_QTabWidget_tabShape_0_wrapper");

   procedure tabText_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Index : Qt4.Q_Integer;
     Returns : not null access Qt4.Strings.Internals.QString);
   pragma Import (C, tabText_0_wrapper,
                     "__Qt4Ada_QTabWidget_tabText_0_wrapper");

   procedure tabToolTip_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Index : Qt4.Q_Integer;
     Returns : not null access Qt4.Strings.Internals.QString);
   pragma Import (C, tabToolTip_0_wrapper,
                     "__Qt4Ada_QTabWidget_tabToolTip_0_wrapper");

   procedure tabWhatsThis_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Index : Qt4.Q_Integer;
     Returns : not null access Qt4.Strings.Internals.QString);
   pragma Import (C, tabWhatsThis_0_wrapper,
                     "__Qt4Ada_QTabWidget_tabWhatsThis_0_wrapper");

   function usesScrollButtons_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.bool;
   pragma Import (C, usesScrollButtons_0_wrapper,
                     "__Qt4Ada_QTabWidget_usesScrollButtons_0_wrapper");

   function widget_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Index : Qt4.Q_Integer)
       return not null access Qt_Ada.Internals.Objects.QObject;
   pragma Import (C, widget_0_wrapper,
                     "__Qt4Ada_QTabWidget_widget_0_wrapper");

   procedure setCurrentIndex_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Index : Qt4.Q_Integer);
   pragma Import (C, setCurrentIndex_0_wrapper,
                     "__Qt4Ada_QTabWidget_setCurrentIndex_0_wrapper");

   procedure setCurrentWidget_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Widget : not null access Qt_Ada.Internals.Objects.QObject);
   pragma Import (C, setCurrentWidget_0_wrapper,
                     "__Qt4Ada_QTabWidget_setCurrentWidget_0_wrapper");

   pragma Style_Checks ("N");

   -------------
   -- Add_Tab --
   -------------

   function Add_Tab
    (Self : not null access Q_Tab_Widget'Class;
     Widget : not null access Qt4.Widgets.Q_Widget'Class;
     Label : Qt4.Strings.Q_String)
       return Qt4.Q_Integer
   is
   begin
      return
        addTab_1_wrapper
         (Self.QObject_View,
          Widget.QObject_View,
          Qt4.Strings.Internals.QString_View (Label));
   end Add_Tab;

   -------------
   -- Add_Tab --
   -------------

   function Add_Tab
    (Self : not null access Q_Tab_Widget'Class;
     Widget : not null access Qt4.Widgets.Q_Widget'Class;
     Icon : Qt4.Icons.Q_Icon;
     Label : Qt4.Strings.Q_String)
       return Qt4.Q_Integer
   is
   begin
      return
        addTab_0_wrapper
         (Self.QObject_View,
          Widget.QObject_View,
          Qt4.Icons.Internals.QIcon_View (Icon),
          Qt4.Strings.Internals.QString_View (Label));
   end Add_Tab;

   -----------
   -- Clear --
   -----------

   procedure Clear
    (Self : not null access Q_Tab_Widget'Class)
   is
   begin
      clear_0_wrapper
       (Self.QObject_View);
   end Clear;

   -----------
   -- Count --
   -----------

   function Count
    (Self : not null access constant Q_Tab_Widget'Class)
       return Qt4.Q_Integer
   is
   begin
      return
        count_0_wrapper
         (Self.QObject_View);
   end Count;

   -------------------
   -- Current_Index --
   -------------------

   function Current_Index
    (Self : not null access constant Q_Tab_Widget'Class)
       return Qt4.Q_Integer
   is
   begin
      return
        currentIndex_0_wrapper
         (Self.QObject_View);
   end Current_Index;

   --------------------
   -- Current_Widget --
   --------------------

   function Current_Widget
    (Self : not null access constant Q_Tab_Widget'Class)
       return not null access Qt4.Widgets.Q_Widget'Class
   is
   begin
      return
        Qt4.Widgets.Q_Widget'Class
         (Qt_Ada.Internals.Object_Registry.To_Q_Object
           (currentWidget_0_wrapper
             (Self.QObject_View)).all)'Access;
   end Current_Widget;

   ---------------
   -- Icon_Size --
   ---------------

   function Icon_Size
    (Self : not null access constant Q_Tab_Widget'Class)
       return Qt4.Sizes.Q_Size
   is
      Returns : Qt4.Sizes.Q_Size;

   begin
      iconSize_0_wrapper
       (Self.QObject_View,
        Qt4.Sizes.Internals.QSize_View (Returns));

      return Returns;
   end Icon_Size;

   --------------
   -- Index_Of --
   --------------

   function Index_Of
    (Self : not null access constant Q_Tab_Widget'Class;
     Widget : not null access Qt4.Widgets.Q_Widget'Class)
       return Qt4.Q_Integer
   is
   begin
      return
        indexOf_0_wrapper
         (Self.QObject_View,
          Widget.QObject_View);
   end Index_Of;

   ----------------
   -- Insert_Tab --
   ----------------

   function Insert_Tab
    (Self : not null access Q_Tab_Widget'Class;
     Index : Qt4.Q_Integer;
     Widget : not null access Qt4.Widgets.Q_Widget'Class;
     Label : Qt4.Strings.Q_String)
       return Qt4.Q_Integer
   is
   begin
      return
        insertTab_1_wrapper
         (Self.QObject_View,
          Index,
          Widget.QObject_View,
          Qt4.Strings.Internals.QString_View (Label));
   end Insert_Tab;

   ----------------
   -- Insert_Tab --
   ----------------

   function Insert_Tab
    (Self : not null access Q_Tab_Widget'Class;
     Index : Qt4.Q_Integer;
     Widget : not null access Qt4.Widgets.Q_Widget'Class;
     Icon : Qt4.Icons.Q_Icon;
     Label : Qt4.Strings.Q_String)
       return Qt4.Q_Integer
   is
   begin
      return
        insertTab_0_wrapper
         (Self.QObject_View,
          Index,
          Widget.QObject_View,
          Qt4.Icons.Internals.QIcon_View (Icon),
          Qt4.Strings.Internals.QString_View (Label));
   end Insert_Tab;

   --------------------
   -- Is_Tab_Enabled --
   --------------------

   function Is_Tab_Enabled
    (Self : not null access constant Q_Tab_Widget'Class;
     Index : Qt4.Q_Integer)
       return Standard.Boolean
   is
   begin
      return
        Qt4.To_Boolean
         (isTabEnabled_0_wrapper
           (Self.QObject_View,
            Index));
   end Is_Tab_Enabled;

   ----------------
   -- Remove_Tab --
   ----------------

   procedure Remove_Tab
    (Self : not null access Q_Tab_Widget'Class;
     Index : Qt4.Q_Integer)
   is
   begin
      removeTab_0_wrapper
       (Self.QObject_View,
        Index);
   end Remove_Tab;

   -------------------
   -- Set_Icon_Size --
   -------------------

   procedure Set_Icon_Size
    (Self : not null access Q_Tab_Widget'Class;
     Size : Qt4.Sizes.Q_Size)
   is
   begin
      setIconSize_0_wrapper
       (Self.QObject_View,
        Qt4.Sizes.Internals.QSize_View (Size));
   end Set_Icon_Size;

   ---------------------
   -- Set_Tab_Enabled --
   ---------------------

   procedure Set_Tab_Enabled
    (Self : not null access Q_Tab_Widget'Class;
     Index : Qt4.Q_Integer;
     Enabled : Standard.Boolean)
   is
   begin
      setTabEnabled_0_wrapper
       (Self.QObject_View,
        Index,
        Qt4.To_bool (Enabled));
   end Set_Tab_Enabled;

   ------------------
   -- Set_Tab_Icon --
   ------------------

   procedure Set_Tab_Icon
    (Self : not null access Q_Tab_Widget'Class;
     Index : Qt4.Q_Integer;
     Icon : Qt4.Icons.Q_Icon)
   is
   begin
      setTabIcon_0_wrapper
       (Self.QObject_View,
        Index,
        Qt4.Icons.Internals.QIcon_View (Icon));
   end Set_Tab_Icon;

   ----------------------
   -- Set_Tab_Position --
   ----------------------

   procedure Set_Tab_Position
    (Self : not null access Q_Tab_Widget'Class;
     Position : Qt4.Tab_Widgets.Tab_Widget_Tab_Position)
   is
   begin
      setTabPosition_0_wrapper
       (Self.QObject_View,
        Position);
   end Set_Tab_Position;

   -------------------
   -- Set_Tab_Shape --
   -------------------

   procedure Set_Tab_Shape
    (Self : not null access Q_Tab_Widget'Class;
     S : Qt4.Tab_Widgets.Tab_Widget_Tab_Shape)
   is
   begin
      setTabShape_0_wrapper
       (Self.QObject_View,
        S);
   end Set_Tab_Shape;

   ------------------
   -- Set_Tab_Text --
   ------------------

   procedure Set_Tab_Text
    (Self : not null access Q_Tab_Widget'Class;
     Index : Qt4.Q_Integer;
     Label : Qt4.Strings.Q_String)
   is
   begin
      setTabText_0_wrapper
       (Self.QObject_View,
        Index,
        Qt4.Strings.Internals.QString_View (Label));
   end Set_Tab_Text;

   ----------------------
   -- Set_Tab_Tool_Tip --
   ----------------------

   procedure Set_Tab_Tool_Tip
    (Self : not null access Q_Tab_Widget'Class;
     Index : Qt4.Q_Integer;
     Tip : Qt4.Strings.Q_String)
   is
   begin
      setTabToolTip_0_wrapper
       (Self.QObject_View,
        Index,
        Qt4.Strings.Internals.QString_View (Tip));
   end Set_Tab_Tool_Tip;

   ------------------------
   -- Set_Tab_Whats_This --
   ------------------------

   procedure Set_Tab_Whats_This
    (Self : not null access Q_Tab_Widget'Class;
     Index : Qt4.Q_Integer;
     Text : Qt4.Strings.Q_String)
   is
   begin
      setTabWhatsThis_0_wrapper
       (Self.QObject_View,
        Index,
        Qt4.Strings.Internals.QString_View (Text));
   end Set_Tab_Whats_This;

   -----------------------------
   -- Set_Uses_Scroll_Buttons --
   -----------------------------

   procedure Set_Uses_Scroll_Buttons
    (Self : not null access Q_Tab_Widget'Class;
     Use_Buttons : Standard.Boolean)
   is
   begin
      setUsesScrollButtons_0_wrapper
       (Self.QObject_View,
        Qt4.To_bool (Use_Buttons));
   end Set_Uses_Scroll_Buttons;

   --------------
   -- Tab_Icon --
   --------------

   function Tab_Icon
    (Self : not null access constant Q_Tab_Widget'Class;
     Index : Qt4.Q_Integer)
       return Qt4.Icons.Q_Icon
   is
      Returns : Qt4.Icons.Q_Icon;

   begin
      tabIcon_0_wrapper
       (Self.QObject_View,
        Index,
        Qt4.Icons.Internals.QIcon_View (Returns));

      return Returns;
   end Tab_Icon;

   ------------------
   -- Tab_Position --
   ------------------

   function Tab_Position
    (Self : not null access constant Q_Tab_Widget'Class)
       return Qt4.Tab_Widgets.Tab_Widget_Tab_Position
   is
   begin
      return
        tabPosition_0_wrapper
         (Self.QObject_View);
   end Tab_Position;

   ---------------
   -- Tab_Shape --
   ---------------

   function Tab_Shape
    (Self : not null access constant Q_Tab_Widget'Class)
       return Qt4.Tab_Widgets.Tab_Widget_Tab_Shape
   is
   begin
      return
        tabShape_0_wrapper
         (Self.QObject_View);
   end Tab_Shape;

   --------------
   -- Tab_Text --
   --------------

   function Tab_Text
    (Self : not null access constant Q_Tab_Widget'Class;
     Index : Qt4.Q_Integer)
       return Qt4.Strings.Q_String
   is
      Returns : Qt4.Strings.Q_String;

   begin
      tabText_0_wrapper
       (Self.QObject_View,
        Index,
        Qt4.Strings.Internals.QString_View (Returns));

      return Returns;
   end Tab_Text;

   ------------------
   -- Tab_Tool_Tip --
   ------------------

   function Tab_Tool_Tip
    (Self : not null access constant Q_Tab_Widget'Class;
     Index : Qt4.Q_Integer)
       return Qt4.Strings.Q_String
   is
      Returns : Qt4.Strings.Q_String;

   begin
      tabToolTip_0_wrapper
       (Self.QObject_View,
        Index,
        Qt4.Strings.Internals.QString_View (Returns));

      return Returns;
   end Tab_Tool_Tip;

   --------------------
   -- Tab_Whats_This --
   --------------------

   function Tab_Whats_This
    (Self : not null access constant Q_Tab_Widget'Class;
     Index : Qt4.Q_Integer)
       return Qt4.Strings.Q_String
   is
      Returns : Qt4.Strings.Q_String;

   begin
      tabWhatsThis_0_wrapper
       (Self.QObject_View,
        Index,
        Qt4.Strings.Internals.QString_View (Returns));

      return Returns;
   end Tab_Whats_This;

   -------------------------
   -- Uses_Scroll_Buttons --
   -------------------------

   function Uses_Scroll_Buttons
    (Self : not null access constant Q_Tab_Widget'Class)
       return Standard.Boolean
   is
   begin
      return
        Qt4.To_Boolean
         (usesScrollButtons_0_wrapper
           (Self.QObject_View));
   end Uses_Scroll_Buttons;

   ------------
   -- Widget --
   ------------

   function Widget
    (Self : not null access constant Q_Tab_Widget'Class;
     Index : Qt4.Q_Integer)
       return not null access Qt4.Widgets.Q_Widget'Class
   is
   begin
      return
        Qt4.Widgets.Q_Widget'Class
         (Qt_Ada.Internals.Object_Registry.To_Q_Object
           (widget_0_wrapper
             (Self.QObject_View,
              Index)).all)'Access;
   end Widget;

   -----------------------
   -- Set_Current_Index --
   -----------------------

   procedure Set_Current_Index
    (Self : not null access Q_Tab_Widget'Class;
     Index : Qt4.Q_Integer)
   is
   begin
      setCurrentIndex_0_wrapper
       (Self.QObject_View,
        Index);
   end Set_Current_Index;

   ------------------------
   -- Set_Current_Widget --
   ------------------------

   procedure Set_Current_Widget
    (Self : not null access Q_Tab_Widget'Class;
     Widget : not null access Qt4.Widgets.Q_Widget'Class)
   is
   begin
      setCurrentWidget_0_wrapper
       (Self.QObject_View,
        Widget.QObject_View);
   end Set_Current_Widget;

end Qt4.Tab_Widgets;
